{
  "interactions": {
    "values": [
      {
        "interactions": [
          {
            "event": "pixelmon:right_click",
            "conditions": {
              "type": "pixelmon:true"
            },
            "results": {
              "value": [
                {
                  "title": "Chat",
                  "pages": [
                    "Did you know the Zenith Region has 10 fossils that are not found anywhere else?",
                    "Yeah! They can even be shiny or legendary pokemon.",
                    "I led the research team way back when they were first discovered!"
                  ],
                  "type": "pixelmon:open_paged_dialogue"
                }
              ],
              "type": "pixelmon:constant"
            }
          }
        ]
      }
    ],
    "type": "pixelmon:uniformly_random"
  },
  "properties": {
    "value": {
      "health": 20.0,
      "eyeHeight": 1.0,
      "dimensions": {
        "width": 1.0,
        "height": 2.0
      },
      "pushable": false,
      "child": false,
      "invulnerable": false,
      "immovable": false,
      "nameplate": true
    },
    "type": "pixelmon:constant"
  },
  "party": {
    "value": {
      "type": "pixelmon:empty"
    },
    "type": "pixelmon:constant"
  },
  "names": {
    "values": [
      "Harleqoon"
    ],
    "type": "pixelmon:uniformly_random"
  },
  "models": {
    "values": [
      {
        "slim": false,
        "texture": {
          "resource": {
            "resource": "pixelmon:npcs/harley.png",
            "fallback": "pixelmon:npcs/harley.png"
          },
          "type": "pixelmon:fallback"
        },
        "type": "pixelmon:player"
      }
    ],
    "type": "pixelmon:uniformly_random"
  },
  "goals": {
    "type": "pixelmon:constant",
    "value": {
      "goals": [
        {
          "provider": {
            "type": "pixelmon:random_stroll",
            "speed_modifier": 0.4,
            "interval": 20,
            "check_no_action_time": true
          },
          "priority": 1
        }
      ]
    }
  }
}
